Update emergency contact

Updates the employment's emergency contact details.

This endpoint requires country-specific data. Query the Show form schema endpoint
passing the country code and emergency_contact_details as path parameters to see
the required fields for a given country.

Authentication

This endpoint accepts any one of the following token types:

  • Company-scoped access token (OAuth2AuthorizationCode) — obtained by a company manager through the Authorization Code flow or the Refresh Token flow. See Authentication for partners.
  • Company-scoped access token (assertion) (OAuth2CompanyManagerAssertion) — obtained through the urn:ietf:params:oauth:grant-type:jwt-bearer grant for a company manager. See OAuth Assertion.
  • Customer API token (CustomerAPIToken) — generated by the customer on their Integration Settings page, with the scopes they choose there. See Authorization for customers.

Scopes

Any one of the scopes in a token type's row is enough. all:write works too.

Token typeCategoryRead only ScopeWrite only Scope (read access implicit)
Company-scoped access tokenManage employments (employments)-Manage employments (employment:write)
Company-scoped access token (assertion)Manage employments (employments)-Manage employments (employment:write)
Customer API tokenManage employments (employments)-Manage employments (employment:write)
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

Employment ID

Query Params
≥ 1

Version of the emergency_contact_details form schema


Specific version number

Body Params

Employment emergency contact params

Employment emergency contact params.

emergency_contact_details
object
required

Emergency contact information. As its properties may vary depending on the country,
you must query the Show form schema endpoint
passing the country code and emergency_contact_details as path parameters.

Responses

Callback
Language
Credentials
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json